# Uses of Interface
org.opensaml.soap.wstrust.KeyExchangeToken

Packages that use KeyExchangeToken
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of KeyExchangeToken in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement KeyExchangeToken
Modifier and Type
Class
Description
`class`
`KeyExchangeTokenImpl`
KeyExchangeTokenImpl.
Methods in org.opensaml.soap.wstrust.impl that return KeyExchangeToken
Modifier and Type
Method
Description
`KeyExchangeToken`
KeyExchangeTokenBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`KeyExchangeToken`
KeyExchangeTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.